#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main(){
	pid_t pid;
	/* Credo il nuovo processo */
	pid=fork();
	if (pid==0) {
		printf("Processo figlio: %d; il padre e' %d\n", 
			getpid(), getppid());
		exit(1);
	} else {
		int status=0;
		wait(&status);
		printf("Processo padre: %d; il figlio e' %d\n", 
			getpid(), pid);
		printf("Stato del figlio: %d\n", status/256);
	}
}
